com.io7m.jcanephora.core

## Interface JCGLFramebufferBuilderType

-     public interface JCGLFramebufferBuilderType

  A mutable builder for configuring framebuffer objects.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `attachColorTexture2DAt(JCGLFramebufferColorAttachmentPointType point, JCGLFramebufferDrawBufferType buffer, JCGLTexture2DUsableType texture)` Attach the given color texture `texture` to the framebuffer that will be created, at attachment point `point`.
    `void` | `attachColorTextureCubeAt(JCGLFramebufferColorAttachmentPointType point, JCGLFramebufferDrawBufferType buffer, JCGLTextureCubeUsableType texture, JCGLCubeMapFaceLH face)` Attach the face `face` of the given color cube-map texture `texture` to the framebuffer that will be created, at attachment point `point`.
    `void` | `attachDepthStencilTexture2D(JCGLTexture2DUsableType t)` Attach the given depth+stencil texture `texture` to the framebuffer that will be created.
    `void` | `attachDepthTexture2D(JCGLTexture2DUsableType t)` Attach the given depth texture `texture` to the framebuffer that will be created.
    `void` | `detachColorAttachment(JCGLFramebufferColorAttachmentPointType point)` Detach any existing color attachment at `point`.
    `void` | `detachDepth()` Detach any existing depth attachment (including depth+stencil attachments).

- - ### Method Detail

    - #### attachColorTexture2DAt

          void attachColorTexture2DAt(JCGLFramebufferColorAttachmentPointType point,
                                      JCGLFramebufferDrawBufferType buffer,
                                      JCGLTexture2DUsableType texture)

      Attach the given color texture `texture` to the framebuffer that will be created, at attachment point `point`.

      The function will replace any existing color attachment at attachment point `point`.

      The attachment will be associated with draw buffer `buffer`, so any output written to `buffer` will end up in `texture`.

      Parameters:
        `point` - The attachment point
        `buffer` - The draw buffer that will be associated with the color attachment
        `texture` - The texture

    - #### attachColorTextureCubeAt

          void attachColorTextureCubeAt(JCGLFramebufferColorAttachmentPointType point,
                                        JCGLFramebufferDrawBufferType buffer,
                                        JCGLTextureCubeUsableType texture,
                                        JCGLCubeMapFaceLH face)

      Attach the face `face` of the given color cube-map texture `texture` to the framebuffer that will be created, at attachment point `point`.

      The function will replace any existing color attachment at attachment point `point`.

      Parameters:
        `point` - The attachment point
        `buffer` - The draw buffer that will be associated with the color attachment
        `texture` - The texture
        `face` - The cube face, assuming a left-hannded coordinate system
      See Also:
        `JCGLTextureFormats.isColorRenderable2D(JCGLTextureFormat)`

    - #### attachDepthTexture2D

          void attachDepthTexture2D(JCGLTexture2DUsableType t)

      Attach the given depth texture `texture` to the framebuffer that will be created.

      The function will replace any existing depth attachment. This includes individual depth and combined depth/stencil attachments.

      Parameters:
        `t` - The texture.

    - #### attachDepthStencilTexture2D

          void attachDepthStencilTexture2D(JCGLTexture2DUsableType t)

      Attach the given depth+stencil texture `texture` to the framebuffer that will be created.

      The function will replace any existing depth attachment. This includes individual depth and combined depth/stencil attachments.

      Parameters:
        `t` - The texture.

    - #### detachDepth

          void detachDepth()

      Detach any existing depth attachment (including depth+stencil attachments).

    - #### detachColorAttachment

          void detachColorAttachment(JCGLFramebufferColorAttachmentPointType point)

      Detach any existing color attachment at `point`.

      Parameters:
        `point` - The attachment point

Copyright © 2016 <code@io7m.com> http://io7m.com